{
  config,
  pkgs,
  modulesPath,
  lib,
  ...
}: {
  services.influxdb2 = {
    enable = true;
    settings = {
    };
    provision = {
      enable = true;
      initialSetup = {
        username = "plasmagoat";
        passwordFile = config.sops.secrets.influxdb-password.path;
        tokenFile = config.sops.secrets.influxdb-token.path;
        organization = "procopius";
        bucket = "proxmox";
      };
    };
  };

  networking.firewall.allowedTCPPorts = [8086];
}
